/*****************************************************************

 myfpga.sv module

******************************************************************

 My Company Confidential Copyright  2012

******************************************************************

 created on:        01/10/2012 
 created by:        author
 last edit on:      $DateTime:$
 last edit by:      $Author:$
 revision:          $Revision:$
 comments:          Generated.    

 board name:        <name> Board
 board number:      xxx
 board revision:    001
 device mpn:        XC6VLX195T-2FFG784C
 
******************************************************************
 <Design Name>

 This module is the top level for the Data Path FPGA
 on the <name> board for the <name> project.

 The sub-modules included in this design are:

        in_buf.sv;
        out_buf.sv;

 The physical constraints file for the Data Path FPGA is in the 
 file:

	myfpga.ucf


***************************************************************/


module	myfpga    (// *** Inputs ***
                        // ** System Inputs **
		        input	wire	        fpga_board_rstn,
                        input   wire            fpga_clk100_p,
                        input   wire            fpga_clk100_n,
                        
                        // ** Data Interface **
                        input   wire    [3:0]   fpga_data_in,
                        
                        // *** Outputs ***
                        // ** System Outputs **
                        output  wire    [3:0]   fpga_data_out
                       );

// *** Local Variable Declarations ***
// Local Parameter Declarations:
// N/A
// Local Wire Declarations:
// N/A
// Local Register Declarations:
// N/A


/******************************************************************************
        
    Data Path FPGA Input Buffers:
 
******************************************************************************/

// *** Instantiate the Input Buffer Module ***
in_buf        _in_buf        (.fpga_clk100_p (fpga_clk100_p),
                              .fpga_clk100_n (fpga_clk100_n),
                              .fpga_board_rstn (fpga_board_rstn),
                              .fpga_data_in (fpga_data_in),

                              .clk100 (clk100),
                              .data_in (data_in),
                              .rst_n (rst_n));

/******************************************************************************
        
    Data Path Interface:
 
      Functions:
            1. Pipeline Stage
 
******************************************************************************/

always_ff @ (posedge clk100 or negedge rst_n)
begin : PIPE1
    if (!rst_n)
    begin
        data_out <= 4'b0;
    end
    else
    begin
        data_out <= data_in;
    end
end : PIPE1

/******************************************************************************
        
    Data Path FPGA Output Buffers:
 
******************************************************************************/

// *** Instantiate the Output Buffer Module ***
out_buf        _out_buf      (.data_out (data_out),

                              .fpga_data_out (fpga_data_out));

endmodule : myfpga

/*

// *** Instantiate the myfpga module ***
myfpga        _myfpga        (.fpga_clk100_p (fpga_clk100_p),
                              .fpga_clk100_n (fpga_clk100_n),
                              .fpga_board_rstn (fpga_board_rstn),
                              .fpga_data_in (fpga_data_in),

                              .fpga_data_out (fpga_data_out));

*/
