#!/bin/sh

# vim:ts=8:syn=sh:
#******************************************************************
#
# compile.sh module
#
#******************************************************************
#
# My Company Confidential Copyright  2012
#
#******************************************************************
#
# created on:    01/10/2012 
# created by:    author
# last edit on:  $DateTime: 2012/01/10 15:51:09 $ 
# last edit by:  $Author: author $
# revision:      $Revision: #1 $
# comments:      Generated
#
#******************************************************************
# Revision List:
#
#		1.0	01/10/2012	Initial release
# 
#	Please report bugs, errors, etc.
#******************************************************************
# Check If Compile Log File Exists Module
#
#  This utility is intended to check if compile.log exists before compiling
#  the simulation files. If the log command is used with vsimsa.exe, then
#  multiple executions of "make compile" will result in concatenated log
#  files. In order to have a compile.log file with only the current results
#  of compilation, this script must be run to move the compile.log file to 
#  a dated log file. It will also remove the ../run/compile/ directory, 
#  so that a new compilation can be performed.
#  
#******************************************************************

echo "entering: compile.sh"

if [ -f ../log/compile.log ] 
then 
        echo "compile.log exists"
        COMPILEFILE=compile_`date +%G%m%d_%I%M%p`
        mv -f ../log/compile.log ../log/$COMPILEFILE.log 
	rm -rf ../run/compile/
else
        echo "compile.log does not exist"
fi
