#!/bin/sh

#------------------------------------------------------------------------------ 
# Output File Archive and Clean-Up Module
# filename:  outarch.sh
# 
#	by author
#	
#	Rev 1.0, January 14, 2008
#
#	This utility is intended to check if EDIF and NCF files exist, then 
#	archive them before cleaning up the log file and result directories.
#
#	Revision History:
#		1.0	01/14/2008	Initial release
#
#	Please report bugs, errors, etc.
#------------------------------------------------------------------------------
PROJNAME=$1
LOGDIR=$2
OUTDIR=$3
RUNDIR=$4
OUTARCH=out_`date +%G%m%d_%I%M%p`

echo ""
echo ""
echo "**********************************************************"

if [ -f $OUTDIR/$PROJNAME.edf ] 
then 
        echo "*"
        echo "* $PROJNAME.edf and $PROJNAME.ncf exist."
        echo "*"
        if [ -e $OUTDIR/$OUTARCH ]
        then
                echo "*"
                echo "** Directory: $OUTDIR/$OUTARCH already exists!!"
                echo "*"
                OUTARCH=out_`date +%G%m%d_%I%M%p`_A
                mkdir $OUTDIR/$OUTARCH
        else
                mkdir $OUTDIR/$OUTARCH
        fi
	mv $OUTDIR/$PROJNAME.edf $OUTDIR/$OUTARCH/
	mv $OUTDIR/$PROJNAME.ncf $OUTDIR/$OUTARCH/
else
        echo "*"
        echo "* $PROJNAME.edf and $PROJNAME.ncf do not exist."
        echo "*"
fi

echo "**********************************************************"
echo "*"
echo "* Clean up log directories..."
echo "*"
echo "**********************************************************"
rm -f $LOGDIR/.recordref
rm -rf $LOGDIR/*
rm -rf $RUNDIR/*
echo ""
echo ""

